#!/usr/bin/env ruby
# -*- ruby encoding: utf-8 -*-

require 'tinkerforge/ip_connection'
require 'tinkerforge/bricklet_ptc_v2'

include Tinkerforge

HOST = 'localhost'
PORT = 4223
UID = 'XYZ' # Change XYZ to the UID of your PTC Bricklet 2.0

ipcon = IPConnection.new # Create IP connection
ptc = BrickletPTCV2.new UID, ipcon # Create device object

ipcon.connect HOST, PORT # Connect to brickd
# Don't use device before ipcon is connected

# Register temperature callback
ptc.register_callback(BrickletPTCV2::CALLBACK_TEMPERATURE) do |temperature|
  puts "Temperature: #{temperature/100.0} °C"
end

# Configure threshold for temperature "greater than 30 °C"
# with a debounce period of 1s (1000ms)
ptc.set_temperature_callback_configuration 1000, false, '>', 30*100, 0

puts 'Press key to exit'
$stdin.gets
ipcon.disconnect
